﻿using System;
using System.Diagnostics;
using System.Drawing.Imaging;

using DevExpress.XtraEditors;
using DevExpress.XtraMap;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 파일 경로
        /// </summary>
        private string filePath = "image.png";

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.exportButton.Click       += exportButton_Click;
            this.mapControl.ExportMapItem += mapControl_ExportMapItem;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 이미지 내보내기 버튼 클릭시 처리하기 - exportButton_Click(sender, e)

        /// <summary>
        /// 이미지 내보내기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void exportButton_Click(object sender, EventArgs e)
        {
            this.mapControl.ExportToImage(this.filePath, ImageFormat.Png);

            Process.Start(this.filePath);
        }

        #endregion
        #region 맵 컨트롤 맵 항목 내보내기 - mapControl_ExportMapItem(sender, e)

        /// <summary>
        /// 맵 컨트롤 맵 항목 내보내기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void mapControl_ExportMapItem(object sender, ExportMapItemEventArgs e)
        {
            if(!e.IsSelected)
            {
                e.Cancel = true;
            }
        }

        #endregion
    }
}